Skip to main content
GET
/
v1
/
raw
/
youtube
/
transcript
/
{video_id}
JavaScript
import Influship from 'influship';

const client = new Influship({
  apiKey: process.env['INFLUSHIP_API_KEY'], // This is the default and can be omitted
});

const response = await client.raw.youtube.getTranscript('dQw4w9WgXcQ');

console.log(response.data);
{
  "data": {
    "video_id": "dQw4w9WgXcQ",
    "url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
    "title": "Full Body Workout | 30 Minutes",
    "language": "en",
    "transcript": [
      {
        "text": "Welcome to my channel!",
        "start": 0.5,
        "duration": 2.3
      }
    ],
    "full_text": "<string>",
    "word_count": 1245,
    "available_languages": [
      "en",
      "es",
      "fr"
    ]
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

video_id
string
required

YouTube video ID

Minimum string length: 1
Example:

"dQw4w9WgXcQ"

Query Parameters

language
string
default:auto

Language code or "auto" for automatic detection

Example:

"en"

Response

Successful response

data
object
required